메모리
메모리 조회
인증된 조직의 활성 메모리 fact 하나를 출처와 함께 조회합니다. 만료되었거나 없거나 다른 조직에 속한 ID는 404 MEMORY_NOT_FOUND로 처리합니다. agent_id는 공개 UUID입니다.
GET
/
memories
/
{memory_id}
메모리 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/memories/{memory_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/memories/{memory_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/memories/{memory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"customer_id": "<string>",
"agent_id": "<string>",
"tier": "<string>",
"content": "<string>",
"created_at": 123,
"source_call_id": "<string>",
"source_chat_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
Response
성공 응답
상태와 만료 사유를 제외한 활성 메모리 fact 응답입니다.
메모리 UUID입니다.
고객 UUID입니다.
에이전트 UUID입니다.
메모리 tier입니다. 값은 static 또는 dynamic입니다.
한 문장으로 구성된 메모리 fact 내용입니다.
리소스 생성 시각입니다. 밀리초 단위 unix timestamp입니다.
이 fact의 출처인 통화 UUID입니다. 직접 생성한 경우 null입니다.
이 fact의 출처인 채팅 UUID입니다. 직접 생성한 경우 null입니다.
Was this page helpful?
Previous
메모리 삭제인증된 조직의 메모리 fact 하나를 만료 처리합니다. 데이터는 유지되며 상태가 `expired`로 바뀝니다. 조직 API 키로 요청하면 `expire_reason`은 `user_manual`, 관리자가 요청하면 `admin_manual`입니다. 이미 만료되었거나 없거나 다른 조직에 속한 ID는 404 `MEMORY_NOT_FOUND`를 반환합니다. 쓰기 작업이 같은 쌍을 잠그고 있으면 5초 후 409 `MEMORY_LOCKED`를 반환합니다.
Next
⌘I
메모리 조회
